@import url(https://fonts.googleapis.com/css?family=Old+Standard+TT:400,400italic,700);
@import url(https://fonts.googleapis.com/css?family=Raleway:400,100,200,300,500,600,700,800,900);
@import url(https://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css);

::selection {
    color: #fff;
    background: #2a2b39;
}

::-moz-selection {
    color: #fff;
    background: #2a2b39;
}

body,
html {
    font-family: "Raleway", sans-serif;
    background-image: url(bg_small.jpg);
    background-color: rgba(42, 43, 57, 0.7);
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 9;
}

p {
    padding: 0;
    margin: 0;
    display: inline-block;
}

a {
    color: #2a2b39;
    text-decoration: none;
    -moz-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

a:hover {
    color: #6acd79;
}

.bussinesscard {
    height: 320px;
    width: 428px;
    overflow: hidden;
    box-shadow: 0px 0px 43px -10px black;
    position: absolute;
    left: 50%;
    top: 50%;
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    border: 5px solid white;
}

.bussinesscard .flip {
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.bussinesscard .front {
    z-index: 11;
    width: 100%;
    position: absolute;
    height: 100%;
    background: #fff;
    box-shadow: 0px 0px 33px -1px rgba(0, 0, 0, 0.45);
    -moz-transform: scale(1, 1);
    -ms-transform: scale(1, 1);
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    -moz-transition: all 0.6s ease;
    -o-transition: all 0.6s ease;
    -webkit-transition: all 0.6s ease;
    transition: all 0.6s ease;
}

.bussinesscard .front .top {
    height: 50%;
    background: #1d1e28;
}

.bussinesscard .front .top:after {
    position: absolute;
    content: "";
    pointer-events: none;
}

.bussinesscard .front .top:after {
    left: 50%;
    width: 2em;
    height: 2em;
    -moz-transform: translateX(-50%) rotate(45deg);
    -ms-transform: translateX(-50%) rotate(45deg);
    -webkit-transform: translateX(-50%) rotate(45deg);
    transform: translateX(-50%) rotate(45deg);
    bottom: 9em;
    z-index: 10;
    background: inherit;
}

.bussinesscard .front .top .logo {
    display: inline-block;
    background: #233a4f;
    color: #fff;
    z-index: 11;
    padding: 0.16em;
    border: 8px solid #fff;
    position: relative;
    pointer-events: none;
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    left: 50%;
    margin-top: 0.4em;
    font-size: 4em;
}

.bussinesscard .front .top .logo .fat {
    font-weight: 800;
}

.bussinesscard .front .top .logo .skinny {
    font-weight: 100;
}

.bussinesscard .front .nametroduction {
    margin-top: 3.5em;
    -moz-transform: translateY(0);
    -ms-transform: translateY(0);
    -webkit-transform: translateY(0);
    transform: translateY(0);
    z-index: 8;
}

.bussinesscard .front .name {
    color: #2a2b39;
    font-weight: 400;
    font-size: 2.2em;
    text-align: center;
    position: relative;
    margin-bottom: 0.35em;
}

.bussinesscard .front .name:after {
    content: "";
    position: absolute;
    top: 1.3em;
    width: 20%;
    left: 40%;
    right: 40%;
    height: 1px;
    background: #2a2b39;
}

.bussinesscard .front .introduction {
    text-align: center;
    color: #2a2b39;
    font-family: "Old Standard TT", serif;
    font-style: italic;
    font-size: 1.25rem;
}

.bussinesscard .front .contact {
    color: #2a2b39;
    margin-left: 1.7em;
    font-weight: 300;
    font-size: 1.25em;
    -moz-transform: translateY(400%);
    -ms-transform: translateY(400%);
    -webkit-transform: translateY(400%);
    transform: translateY(400%);
    margin-top: 25px;
}

.bussinesscard .front .contact span {
    color: #2d3244;
    font-size: 1.7em;
    width: 1.3em;
    display: inline-block;
}

.bussinesscard .front .contact a {
    position: relative;
    bottom: 0.24em;
}

.bussinesscard .back {
    width: 100%;
    height: 100%;
    background: #fff;
    backface-visibility: hidden;
    position: absolute;
}

/* .tooltip {
    position: absolute;
    left: 1em;
    bottom: 1em;
    color: #fff;
    font-weight: 300;
    padding: 0.4em;
    background: #6acd79;
} */
.tooltip {
    position: absolute;
    bottom: 1em;
    color: #fff;
    font-weight: 300;
    width: 100%;
    margin: 0 auto;
    text-align: center;
}

/* HOVER ANIMATIONS */
.front .top .logo,
.front .top,
.front .top:after,
.front .nametroduction,
.front .contact {
    -moz-transition: all 0.7s ease-in-out;
    -o-transition: all 0.7s ease-in-out;
    -webkit-transition: all 0.7s ease-in-out;
    transition: all 0.7s ease-in-out;
}

.flip:hover .front .top .logo {
    margin-top: 0.28em;
    font-size: 1.3em;
    border: 3px solid #fff;
    margin-left: 0.15em;
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -webkit-transform: translateX(0);
    transform: translateX(0);
    left: 3px;
}

.flip:hover .front .top {
    height: 15%;
}

.flip:hover .front .top:after {
    width: 1.5em;
    height: 1.5em;
    bottom: 16.3em;
}

.flip:hover .front .nametroduction {
    -moz-transform: translateY(400%);
    -ms-transform: translateY(400%);
    -webkit-transform: translateY(400%);
    transform: translateY(400%);
}

.flip:hover .front .contact {
    -moz-transform: translateY(-52%);
    -ms-transform: translateY(-52%);
    -webkit-transform: translateY(-52%);
    transform: translateY(-52%);
}
